Help and Information Centre - GA3

Article:

Old Versions: GA3 Compatibility with Win 10 or macOS Sierra

Back Print

GA3 was first released in 2010 long before Windows 10 / macOS Sierra / Mojave were released.  
As such it was not designed for these operating systems.


Note, we do not recommend upgrading to macOS High Sierra / Mojave if you are using GA3.

In order to remain compatible with the latest versions of operating systems, we strongly recommend using the latest version of Garage Assistant.

 

The following are known compatibility issues with the previous version of our system, 
Garage Assistant GA3 (2010) and the latest versions of Windows or macOS.


Saving as PDF.


Operating System & Version:

  • Windows 10

Known Issue:
Windows: After updating Windows 10, save as PDF and PDF email attachments may fail to create, with an error code of (-30) (-40) or similar.

Resolution:
The following article will guide you through resolving this issue. View Article

Additional Information:
GA3 uses an Amyuni PDF driver to create PDF files on Windows machines, this driver may also be updated by Microsoft.  Since this is a licensed driver,  updated versions may not activate with the license details included as part of GA3, however, the article above will help you to resolve the issue going forward.

 

Business Charts.


Operating System & Version:

  • macOS Sierra 10.12.x


Known Issue:

macOS: Charts will no longer display due to a change in Safari and how Adobe flash is allowed to be used on the operating system.

Resolution:
There is currently no resolution/workaround for GA3 when using the above OS version.
This issue is not present in GA4.

Interface Anomalies.


Operating System & Version:

  • macOS Sierra 10.12.x


Known Issue:
Some areas of GA3 will show a 'curved rectangle' blocking out part of an icon, this is due to a rendering change in the latest versions of macOS.  Whilst it should not affect general day to day usage of the system, it can make it difficult to see some of the options, such as those in the administration area.

Resolution:
There is currently no resolution/workaround for GA3 when using the above OS version.
This issue is not present in GA4.

 

macOS versions and GA3.


GA3 will not be compatible with future macOS versions due to Apple phasing out 32-bit application support and numerous other macOS changes.

The last supported version is:  macOS Sierra v10.12.xx
Please bear this in mind when deciding whether or not to upgrade your operating system. 

GA3 is not supported and does not work correctly on the latest version of mac OS or newer versions that may be released in the future.  

[✔] macOS Sierra v10.12.xx
[X]  macOS High Sierra v10.13.xx
[X]  macOS Mojave v10.14.xx

Therefore, we strongly advise against upgrading to future versions of mac OS if using Garage Assistant GA3. However, the latest version of our software, Garage Assistant GA4 does support macOS High Sierra.



We aim to keep this article updated as and when any known compatibility issues arise, however, we strongly recommend you consider upgrading to GA4 if you wish to use the latest versions of an operating system.  Last updated:01/10/2018


Print Back to other articles